List test versions
curl --request GET \
--url https://app.egma.ai/v1/tests/{testId}/versions \
--header 'Authorization: Bearer <token>'{
"versions": [
{
"id": "<string>",
"testId": "<string>",
"suiteId": "<string>",
"testName": "<string>",
"version": 2,
"current": true,
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Tests
List test versions
GET
/
v1
/
tests
/
{testId}
/
versions
List test versions
curl --request GET \
--url https://app.egma.ai/v1/tests/{testId}/versions \
--header 'Authorization: Bearer <token>'{
"versions": [
{
"id": "<string>",
"testId": "<string>",
"suiteId": "<string>",
"testName": "<string>",
"version": 2,
"current": true,
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1Minimum string length:
1Required range:
1 <= x <= 200